> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Self

> Récupérer des informations sur la clé d'API authentifiée

Nécessite une clé d'API personnelle d'un administrateur Enterprise.

Renvoie des informations sur la clé d'API authentifiée, y compris l'ID de la clé, l'ID de l'utilisateur associé, l'adresse e-mail de l'utilisateur et l'ID de l'organisation.


## OpenAPI

````yaml fr/v2-openapi.yaml GET /v2/enterprise/self
openapi: 3.1.0
info:
  description: >-
    API Devin v2 avec clés d’API personnelles pour les administrateurs
    Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/self:
    get:
      tags:
        - self
        - self
      summary: GET de l’utilisateur actuel
      operationId: handle_get_self_v2_enterprise_self_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SelfResponse'
          description: Réponse réussie
components:
  schemas:
    SelfResponse:
      properties:
        api_key_id:
          title: Api Key Id
          type: string
        org_id:
          title: Org Id
          type: string
        user_email:
          anyOf:
            - type: string
            - type: 'null'
          title: User Email
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
      required:
        - api_key_id
        - user_id
        - user_email
        - org_id
      title: SelfResponse
      type: object
  securitySchemes:
    bearerAuth:
      description: >-
        API Key personnelle (apk_user_*) réservée uniquement aux administrateurs
        Enterprise
      scheme: bearer
      type: http

````